org.codehaus.plexus.lifecycle

## Interface LifecycleHandlerManager

All Known Implementing Classes:
  DefaultLifecycleHandlerManager

    public interface LifecycleHandlerManager

Version:
  $Id: LifecycleHandlerManager.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Jason van Zyl

### Method Summary

Methods
`LifecycleHandler` `getDefaultLifecycleHandler()`
`LifecycleHandler` `getLifecycleHandler(String id)`
`void` `initialize()`

### Method Detail

#### initialize

    void initialize()

#### getDefaultLifecycleHandler

    LifecycleHandler getDefaultLifecycleHandler()
                                                throws UndefinedLifecycleHandlerException

Throws:
  `UndefinedLifecycleHandlerException`

#### getLifecycleHandler

    LifecycleHandler getLifecycleHandler(String id)
                                         throws UndefinedLifecycleHandlerException

Throws:
  `UndefinedLifecycleHandlerException`